<form name="editForm" role="form" novalidate (ngSubmit)="save(article)" #editForm="ngForm">
    <div class="modal-header">
        <h2>
            Edit article
        </h2>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;
        </button>
    </div>
    <div class="modal-body">
        <div class="form-group">
            <label class="form-control-label">Authors</label>
            <input type="text" class="form-control" [name]="article.authors" [(ngModel)]="article.authors" required
                   [ngModelOptions]="{standalone: true}">
            <label class="form-control-label">Title</label>
            <input type="text" class="form-control" [name]="article.title" [(ngModel)]="article.title" required
                   [ngModelOptions]="{standalone: true}">
            <label class="form-control-label">Abstract</label>
            <textarea type="text" class="form-control" [name]="article.abstractText"
                      [(ngModel)]="article.abstractText" required [ngModelOptions]="{standalone: true}"
                      rows="5"></textarea>
            <label class="form-control-label">User</label>
            <app-search-users
                [article]="article"
                [usersOfElement]="[article.user]"
                (selectedUser)="selectedUser($event)" >
            </app-search-users>
            <label *ngIf="!article.filename" class="form-control-label">Upload presentation</label>
            <label *ngIf="article.filename" class="form-control-label">Article presentation</label>
            <a download="{{article.filename}}" target="_blank" href="{{uploadDirectory}}/{{article.filename}}">
                {{article.filename}}
            </a>
            <input type="file" class="form-control form-row article_file" (change)="getFileDetails($event)">
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
        </button>
    </div>
</form>
